package com.afp.ordermanagement.controller;

import com.afp.ordermanagement.service.Producer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping(value = "/kafka")
public class KafkaController {

    private final Producer producer;

    public KafkaController(Producer producer) {
        this.producer = producer;
    }

    @PostMapping(value = "/publish/{id}")
    public void sendMessageToKafkaTopic(@RequestParam String id) {
        producer.sendOrderId(id);
    }
}
